Skip to main content
PUT
/
v1
/
users
/
{userId}
/
sub
Attach a custom sub
curl --request PUT \
  --url https://api.cadanapay.com/v1/users/{userId}/sub \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tokenSub": "123"
}
'
{
  "code": "invalid_request_body",
  "message": "The request body provided is not valid",
  "params": {
    "field": "Value is invalid."
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Path Parameters

userId
string<uuid>
required

The unique identifier for the user

Body

application/json

Update user external token subject payload

tokenSub
string
default:123
required

Your internal token sub to attach to cadana user

Response

The user subject was attached, now you can log in with your external JWT